Package org.sonatype.maven.polyglot.groovy.builder

# Class ModelBuilder

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.Binding
groovy.util.FactoryBuilderSupport
org.sonatype.maven.polyglot.groovy.builder.ModelBuilder

All Implemented Interfaces:
  `groovy.lang.GroovyObject`, `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`

@Component(role=ModelBuilder.class) public class ModelBuilder extends groovy.util.FactoryBuilderSupport implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable
Builds Maven `Model` instances.

Since:
  0.7
Author:
  Jason Dillon

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.codehaus.plexus.logging.Logger`
`log`

### Fields inherited from class groovy.util.FactoryBuilderSupport

`attributeDelegates, autoRegistrationComplete, autoRegistrationRunning, CHILD_BUILDER, CURRENT_BUILDER, CURRENT_FACTORY, CURRENT_NAME, CURRENT_NODE, explicitMethods, explicitProperties, methodMissingDelegate, OWNER, PARENT_BUILDER, PARENT_CONTEXT, PARENT_FACTORY, PARENT_NAME, PARENT_NODE, postInstantiateDelegates, postNodeCompletionDelegates, preInstantiateDelegates, propertyMissingDelegate, registrationGroup, registrationGroupName, SCRIPT_CLASS_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ModelBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`findInContext(String key)`
`ExecuteManager`
`getExecuteManager()`
`org.apache.maven.model.ReportSet`
`getReportSet()`
`List<ExecuteTask>`
`getTasks()`
`void`
`initialize()`
`void`
`registerBeanFactory(String name, Class type)`
`void`
`registerFactories()`
`void`
`registerFactory(String name, String groupName, groovy.util.Factory factory)`
`protected void`
`setClosureDelegate(groovy.lang.Closure c, Object o)`
`void`
`setReportSet(org.apache.maven.model.ReportSet reportSet)`
`void`
`setVariable(String name, Object value)`

### Methods inherited from class groovy.util.FactoryBuilderSupport

`addAttributeDelegate, addDisposalClosure, addPostInstantiateDelegate, addPostNodeCompletionDelegate, addPreInstantiateDelegate, autoRegisterNodes, build, build, build, checkExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, createNode, dispatchNodeCall, dispathNodeCall, dispose, getAttributeDelegates, getChildBuilder, getContext, getContextAttribute, getContexts, getContinuationData, getCurrent, getCurrentBuilder, getCurrentFactory, getCurrentName, getDisposalClosures, getExplicitMethods, getExplicitProperties, getFactories, getLocalExplicitMethods, getLocalExplicitProperties, getLocalFactories, getMethodMissingDelegate, getName, getNameMappingClosure, getParentContext, getParentFactory, getParentName, getParentNode, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getPreInstantiateDelegates, getProperty, getPropertyMissingDelegate, getProxyBuilder, getRegistrationGroupItems, getRegistrationGroups, getVariable, getVariables, handleNodeAttributes, invokeMethod, invokeMethod, newContext, nodeCompleted, popContext, postInstantiate, postNodeCompletion, preInstantiate, registerBeanFactory, registerExplicitMethod, registerExplicitMethod, registerExplicitProperty, registerExplicitProperty, registerFactory, removeAttributeDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, removePreInstantiateDelegate, reset, resolveExplicitMethod, resolveExplicitProperty, resolveFactory, restoreFromContinuationData, setMethodMissingDelegate, setNameMappingClosure, setNodeAttributes, setParent, setProperty, setPropertyMissingDelegate, setProxyBuilder, withBuilder, withBuilder, withBuilder`

### Methods inherited from class groovy.lang.Binding

`hasVariable`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, setMetaClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Requirement protected org.codehaus.plexus.logging.Logger log

## Constructor Details

### ModelBuilder

public ModelBuilder()

## Method Details

### initialize

public void initialize() throws org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException

Specified by:
  `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`
Throws:
  `org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException`

### setClosureDelegate

protected void setClosureDelegate(groovy.lang.Closure c, Object o)

Overrides:
  `setClosureDelegate` in class `groovy.util.FactoryBuilderSupport`

### setVariable

public void setVariable(String name, Object value)

Overrides:
  `setVariable` in class `groovy.util.FactoryBuilderSupport`

### getExecuteManager

public ExecuteManager getExecuteManager()

### getTasks

public List<ExecuteTask> getTasks()

### registerFactories

public void registerFactories()

### registerBeanFactory

public void registerBeanFactory(String name, Class type)

Overrides:
  `registerBeanFactory` in class `groovy.util.FactoryBuilderSupport`

### registerFactory

public void registerFactory(String name, String groupName, groovy.util.Factory factory)

Overrides:
  `registerFactory` in class `groovy.util.FactoryBuilderSupport`

### findInContext

public Object findInContext(String key)

### getReportSet

public org.apache.maven.model.ReportSet getReportSet()

### setReportSet

public void setReportSet(org.apache.maven.model.ReportSet reportSet)